Bug 1265749 - RFE:- Option to disable colourful output of journalctl
Summary: RFE:- Option to disable colourful output of journalctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: Frantisek Sumsal
Maxim Svistunov
URL:
Whiteboard:
Depends On:
Blocks: 1203710 1289485 1313485
TreeView+ depends on / blocked
 
Reported: 2015-09-23 16:24 UTC by Rupesh Patel
Modified: 2017-09-15 20:17 UTC (History)
10 users (show)

Fixed In Version: systemd-219-20.el7
Doc Type: Release Note
Doc Text:
New variable for disabling colored output for *systemd* This update introduces the `SYSTEMD_COLORS` environment variable for *systemd*, which enables turning on or off *systemd* color output. `SYSTEMD_COLORS` should be set to a valid boolean value.
Clone Of:
Environment:
Last Closed: 2016-11-04 00:43:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2216 normal SHIPPED_LIVE systemd bug fix and enhancement update 2016-11-03 13:24:51 UTC

Description Rupesh Patel 2015-09-23 16:24:11 UTC
By default, journalctl produce colourful output red, while lines based on line of level error, notice etc.... this seems to causing while using non-black screen. I guess it's reasonable request to provide switch (non default) to disable it for users who don't use non-black screen. 

I have checked my F22 and upstream page http://www.freedesktop.org/software/systemd/man/journalctl.html. It looks like not discussed yet anywhere. 

Can we consider this as RFE?

thanks,
Rupesh

Comment 2 Lukáš Nykrýn 2015-09-25 07:25:22 UTC
There must be a way how to achieve tthis without any changes in systemd.
Output there is piped to a pager, so maybe you could just somehow adjust appropriate environment variables.

Comment 3 Karel Zak 2016-01-12 09:15:57 UTC
It would be nice to support disable/enable described in "man terminal-colors.d".

Comment 4 Jan Synacek 2016-01-19 09:35:34 UTC
https://github.com/systemd/systemd/pull/2364

Comment 7 Jan Synacek 2016-01-20 12:49:10 UTC
Merged in https://github.com/systemd/systemd/pull/2381.

Comment 14 errata-xmlrpc 2016-11-04 00:43:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2216.html


Note You need to log in before you can comment on or make changes to this bug.